Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic:  Warning: Do not upgrade npm  (Read 2589 times)

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.846
Warning: Do not upgrade npm
« on: 2018/02/22, 23:51:22 »
Should you have the npm package-mananger for Node installed, do NOT upgrade to v5.7.0. A bug in the package will change ownership of vital files on your pc, so that most users have to reinstall their computers.


Sollte jemand das Paket npm (Node Paketmanager) installiert haben, auf keinen Fall auf v5.7.0 updaten, es sei denn, ihr wollt euren Rechner neu aufsetzen, Ein Bug verändert Besitzstände wichtiger Dateien.

Offline vayu

  • User
  • Posts: 232
Re: Warning: Do not upgrade npm
« Reply #1 on: 2018/03/14, 18:50:30 »
Wow. Thanks for the heads up! I was about to install it, and by very good luck was here to notice your warning.

Offline melmarker

  • User
  • Posts: 2.799
    • g-com.eu
Re: Warning: Do not upgrade npm
« Reply #2 on: 2018/03/14, 20:52:26 »
Fixed long time ago - the basic problems remains - read and understand the npm man-page - if i understand it right with
Code: [Select]
npm upgrade one will install the latest version - that might be a beta and not ready for production usage - the guys bitten by this bug did exactly that. Fun included.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)